import { world, system } from "@minecraft/server";
import { runcmd_at } from "../other/utils.js";

export function teleportHeadsToPlayers() {
    const playersInGame = world.getPlayers().filter(player => player.hasTag("fear:game"));

    playersInGame.forEach(player => {
        const playerName = player.name;
    
        const gameMode = player.getGameMode();
        if (gameMode === "spectator") {
            return;
        }
        
    
            runcmd_at(playerName, `camera @s set minecraft:first_person`, true);
        if (player.isSneaking) {
            runcmd_at(playerName, `tp @e[name="head:${playerName}"] ~~1.4~`, true);
        } else {
            runcmd_at(playerName, `tp @e[name="head:${playerName}"] ~~1.55~`, true);
        }
    });
}
