import { runcmd_at } from "../other/utils.js";

export function handleEntityHurt(eventData) {
    const {
        hurtEntity,
        damage,
        damageSource: { damagingEntity, damagingProjectile, cause }
    } = eventData;

    if (hurtEntity.typeId === "fear:start_button" && damagingEntity?.typeId === "minecraft:player") {
        const name = damagingEntity.name;
        runcmd_at(name, `function lobby/to_lobby`, true);
    }

    if (hurtEntity.typeId === "minecraft:player" && damagingProjectile && damagingEntity?.typeId === "minecraft:player") {
        const name = damagingEntity.name;
        runcmd_at(name, `playsound random.orb @s ~ ~ ~ 0.5 1`, true);
    }

    if (hurtEntity.typeId === "minecraft:chicken" && damagingProjectile && damagingEntity?.typeId === "minecraft:player") {
        const name = damagingEntity.name;
        runcmd_at(name, `playsound random.orb @s ~ ~ ~ 5 1`, true);
    }
}

