export function handleBlockInteraction(event) {
    const block = event.block;
    const player = event.source;

    const restrictedBlockTypes = [
        "minecraft:trapdoor", "minecraft:spruce_trapdoor", "minecraft:birch_trapdoor",
        "minecraft:jungle_trapdoor", "minecraft:acacia_trapdoor", "minecraft:dark_oak_trapdoor",
        "minecraft:crimson_trapdoor", "minecraft:warped_trapdoor", "minecraft:mangrove_trapdoor",
        "minecraft:bamboo_trapdoor", "minecraft:cherry_trapdoor",

        "minecraft:wooden_door", "minecraft:spruce_door", "minecraft:birch_door",
        "minecraft:jungle_door", "minecraft:acacia_door", "minecraft:dark_oak_door",
        "minecraft:crimson_door", "minecraft:warped_door", "minecraft:mangrove_door",
        "minecraft:bamboo_door", "minecraft:cherry_door",

        "minecraft:lever", "minecraft:anvil"
    ];

    if (block && restrictedBlockTypes.includes(block.typeId)) {
        event.cancel = true;
        return; 
    }
}